#if !defined(VERTEX_H)
#define VERTEX_H

#include "Vec.h"

/****************************************************************************/
/** \class Vertex
    \brief Vertex (Abgeleitet von einem Vec(tor) und um u,v Koordinaten erweitert)
*****************************************************************************/
class Vertex : public Vec  
{
public:
	void set(Vertex& vertex);
   inline void set(Vec& vec) {Vec::set(vec);}; // JAVA ist hier besser !!!
   void setUV(float u, float v);

	Vertex();
	virtual ~Vertex();

	float m_u;
   float m_v;
};
#endif // !defined(VERTEX_H)
